## org.apache.mahout.math
Class VectorList.JsonVectorListAdapter

    java.lang.Object
      org.apache.mahout.math.VectorList.JsonVectorListAdapter

All Implemented Interfaces:
  com.google.gson.JsonDeserializer<VectorList>

Enclosing class:
  VectorList

    protected static class VectorList.JsonVectorListAdapter

extends java.lang.Object
implements com.google.gson.JsonDeserializer<VectorList>

Constructor Summary
`protected` `VectorList.JsonVectorListAdapter()`

Method Summary
`VectorList` `deserialize(com.google.gson.JsonElement json, java.lang.reflect.Type typeOfT, com.google.gson.JsonDeserializationContext context)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VectorList.JsonVectorListAdapter

    protected VectorList.JsonVectorListAdapter()

Method Detail

### deserialize

    public VectorList deserialize(com.google.gson.JsonElement json,
                                  java.lang.reflect.Type typeOfT,
                                  com.google.gson.JsonDeserializationContext context)
                           throws com.google.gson.JsonParseException

  Specified by:
    `deserialize` in interface `com.google.gson.JsonDeserializer<VectorList>`
  Throws:
    `com.google.gson.JsonParseException`

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.